summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar
diff options
context:
space:
mode:
authorJameyBear <WhispersofJ@gmail.com>2020-06-01 15:29:57 -0400
committerGitHub <noreply@github.com>2020-06-01 15:29:57 -0400
commitf820ccf4dd69d4cf784fca4fc0e1ae273993077e (patch)
treeda152f42dc7b4597b63bc63297032a640b410eb0 /.local/bin/statusbar
parent87b0754319a00648cd20b7f013cc821868f6d25e (diff)
downloadeibhear-f820ccf4dd69d4cf784fca4fc0e1ae273993077e.tar.gz
eibhear-f820ccf4dd69d4cf784fca4fc0e1ae273993077e.tar.zst
eibhear-f820ccf4dd69d4cf784fca4fc0e1ae273993077e.zip
Shellcheck (#676)
Co-authored-by: WhispersOfJ <kaotiks@gmail.com>
Diffstat (limited to '.local/bin/statusbar')
-rwxr-xr-x.local/bin/statusbar/crypto2
-rwxr-xr-x.local/bin/statusbar/help-icon2
-rwxr-xr-x.local/bin/statusbar/news2
3 files changed, 3 insertions, 3 deletions
diff --git a/.local/bin/statusbar/crypto b/.local/bin/statusbar/crypto
index bb19fc9..ef025d4 100755
--- a/.local/bin/statusbar/crypto
+++ b/.local/bin/statusbar/crypto
@@ -28,7 +28,7 @@ printprices() { # Print/format all prices
for x in "$dir"/*; do
[ -f "$x" ] || break
info="$(cut -d';' -f-2 --output-delimiter=' ' "$x")"
- printf "%s$%0.2f " $info
+ printf "%s$%0.2f " "$info"
done | sed 's/ $/\n/'
}
diff --git a/.local/bin/statusbar/help-icon b/.local/bin/statusbar/help-icon
index 9c90964..5044324 100755
--- a/.local/bin/statusbar/help-icon
+++ b/.local/bin/statusbar/help-icon
@@ -3,7 +3,7 @@
# The clickable help menu. Middle click to restart wm.
# If dwm is running, use dwm's readme and restart.
-ps ax | grep -q "\sdwm$" &&
+pgrep -f "\sdwm$" &&
READMEFILE=/usr/local/share/dwm/larbs.mom
restartwm() { pkill -HUP dwm ;} ||
restartwm() { i3 restart ;}
diff --git a/.local/bin/statusbar/news b/.local/bin/statusbar/news
index b414981..e997597 100755
--- a/.local/bin/statusbar/news
+++ b/.local/bin/statusbar/news
@@ -14,4 +14,4 @@ case $BLOCK_BUTTON in
6) "$TERMINAL" -e "$EDITOR" "$0" ;;
esac
- cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ print "📰" $1}' | sed 's/^📰0$//g')$(cat ${XDG_CONFIG_HOME:-$HOME/.config}/newsboat/.update 2>/dev/null)"
+ cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ print "📰" $1}' | sed 's/^📰0$//g')$(cat "${XDG_CONFIG_HOME:-$HOME/.config}"/newsboat/.update 2>/dev/null)"